Bug 553585 - [abrt] crash in smolt-1.4-4.fc12
[abrt] crash in smolt-1.4-4.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
abrt_hash:65dc934a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-08 05:50 EST by Jens Maucher
Modified: 2010-02-23 00:32 EST (History)
3 users (show)

See Also:
Fixed In Version: smolt-1.4.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 00:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.02 KB, text/plain)
2010-01-08 05:50 EST, Jens Maucher
no flags Details

  None (edit)
Description Jens Maucher 2010-01-08 05:50:00 EST
abrt 1.0.3 detected a crash.

How to reproduce
-----
1. open commandline
2. doing smoltSendProfile -a -n


Comment: Open the commandline and type 'smoltSendProfile -a -n'
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/smoltSendProfile -a -n
component: smolt
executable: /usr/bin/smoltSendProfile
kernel: 2.6.31.9-174.fc12.x86_64
package: smolt-1.4-4.fc12
uuid: 65dc934a
Comment 1 Jens Maucher 2010-01-08 05:50:03 EST
Created attachment 382436 [details]
File: backtrace
Comment 2 Mike McGrath 2010-01-25 14:03:27 EST
Ok, all fixed upstream, expect a release in the next couple of days.
Comment 3 Fedora Update System 2010-02-04 09:58:10 EST
smolt-1.4.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/smolt-1.4.2-1.fc12
Comment 4 Fedora Update System 2010-02-05 19:02:17 EST
smolt-1.4.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smolt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1529
Comment 5 Jens Maucher 2010-02-06 04:57:41 EST
I did a smolt update from updates-testing. Trying smoltSendProfile -a -n output following error:


Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 156, in <module>
    timeout=opts.timeout)
  File "/usr/share/smolt/client/smolt.py", line 624, in regenerate_pub_uuid
    pub_uuid = simplejson.loads(new_uuid.read())['pub_uuid']
  File "/usr/lib64/python2.6/site-packages/simplejson/__init__.py", line 307, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python2.6/site-packages/simplejson/decoder.py", line 335, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python2.6/site-packages/simplejson/decoder.py", line 353, in raw_decode
    raise ValueError("No JSON object could be decoded")
ValueError: No JSON object could be decoded
Comment 6 Mike McGrath 2010-02-06 10:55:34 EST
Ugh, that's no good.

Two things.  Do you get that error every time and do you still get it as root?
Comment 7 Jens Maucher 2010-02-06 11:23:21 EST
Yes.
Comment 8 Laurent Wandrebeck 2010-02-06 11:57:23 EST
Nom           : smolt
Architecture  : noarch
Version       : 1.4.2
Révision      : 1.fc12
Taille        : 1.0 M
Dépôt         : installed
Depuis le dépôt  : updates-testing

$ smoltSendProfile -a -n
Success!  Your new public UUID is: pub_d3106af5-2bfe-45fe-887a-79b7a71cd19d

Running F12 x86_64, today updates-testing.
Comment 9 Fedora Update System 2010-02-23 00:31:57 EST
smolt-1.4.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.